<?php

/*

 $Id: show_flo_select.inc,v 1.6 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_flo_select.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Flo Select Template
	Display all the flows for a specific host
*/
//create our flow object for use below
$flo = new Flo(0);

?>

<form name="flo_select" method="post" enctype="multipart/form-data" style="Display:inline" action="<?= $conf['web_path']; ?>/modules/flo.php">
<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Date:</td>
	<td><? $flo->show_date_select(); ?></td>
</tr>
<? if ($action == "show_top_range") { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Range:</td>
	<td>
	<? $ranges = $conf['zone']->ip_ranges(); ?>
        <? $conf['ui']->show_ip_ranges_select($ranges, $range_id); ?>
	</td>
</tr>
<? } //show_top_range ?>
<? if ($action == "show_top_zone") { ?>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Zone:</td>
	<td>
	<? 
	$zones = $user->zones(); 
	if ($user->current_zone) { $current_zone = $user->current_zone; }
	else { $current_zone = $user->preferred_zone; }	

	$conf['ui']->show_zone_select($zones,$current_zone); 
	
	?>
	</td>
</tr>
<? } ?>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>Display Count:</td>
	<td><input type="textbox" size="3" maxlength="2" name="count" value="<?= $conf['module_flo_top_count']; ?>" />
	</td>
</tr>
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td>&nbsp;</td>
	<td>
	<input type="hidden" name="action" value="<?= $action; ?>" />
	<input type="submit" value="Show Flows" />
	</td>
</tr>
</table>
<? show_template('bborder'); ?>
</form>
